VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Attributes
vmware::vapi::metadata::privilege::StructDefinitions Class Reference

Defines the type descriptors for the top-level types in `com.vmware.vapi.metadata.privilege` package. More...

List of all members.

## Static Public Attributes
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | componentData
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | componentInfo
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | operationInfo
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | packageInfo
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | privilegeInfo
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | serviceInfo

## Detailed Description

Defines the type descriptors for the top-level types in `com.vmware.vapi.metadata.privilege` package.

WARNING: Internal API, subject to change in future versions.

## Member Data Documentation

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vapi::metadata::privilege::StructDefinitions::componentData`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("info", new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.metadata.privilege.StructDefinitions.componentInfo.Value)));
                    fields.Add("fingerprint", new vmware.vapi.bindings.type.StringType());
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vapi.metadata.privilege.component_data", fields, typeof(vmware.vapi.metadata.privilege.ComponentData), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vapi::metadata::privilege::StructDefinitions::componentInfo`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("packages", new vmware.vapi.bindings.type.MapType(new vmware.vapi.bindings.type.IdType("com.vmware.vapi.package"), new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.metadata.privilege.StructDefinitions.packageInfo.Value))));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vapi.metadata.privilege.component_info", fields, typeof(vmware.vapi.metadata.privilege.ComponentInfo), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vapi::metadata::privilege::StructDefinitions::operationInfo`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("privileges", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.StringType()));
                    fields.Add("privilege_info", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.metadata.privilege.StructDefinitions.privilegeInfo.Value))));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vapi.metadata.privilege.operation_info", fields, typeof(vmware.vapi.metadata.privilege.OperationInfo), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vapi::metadata::privilege::StructDefinitions::packageInfo`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("privileges", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.StringType()));
                    fields.Add("services", new vmware.vapi.bindings.type.MapType(new vmware.vapi.bindings.type.IdType("com.vmware.vapi.service"), new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.metadata.privilege.StructDefinitions.serviceInfo.Value))));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vapi.metadata.privilege.package_info", fields, typeof(vmware.vapi.metadata.privilege.PackageInfo), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vapi::metadata::privilege::StructDefinitions::privilegeInfo`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("property_path", new vmware.vapi.bindings.type.StringType());
                    fields.Add("privileges", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.StringType()));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vapi.metadata.privilege.privilege_info", fields, typeof(vmware.vapi.metadata.privilege.PrivilegeInfo), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vapi::metadata::privilege::StructDefinitions::serviceInfo`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("operations", new vmware.vapi.bindings.type.MapType(new vmware.vapi.bindings.type.IdType("com.vmware.vapi.operation"), new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.metadata.privilege.StructDefinitions.operationInfo.Value))));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vapi.metadata.privilege.service_info", fields, typeof(vmware.vapi.metadata.privilege.ServiceInfo), validators, false, null);
                })

The documentation for this class was generated from the following file:

- vapi/metadata/privilege/StructDefinitions.cs